## org.exist.dom.test
Class BasicNodeSetTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.exist.dom.test.BasicNodeSetTest

All Implemented Interfaces:
  junit.framework.Test

public class BasicNodeSetTest
extends junit.framework.TestCase

Test basic `NodeSet` operations to ensure that the used algorithms are correct.

Author:
  wolf

Constructor Summary
`BasicNodeSetTest()`

Method Summary
`static void` `main(java.lang.String[] args)`
`void` `testAxes()`
`void` `testOptimizations()`
`void` `testSelectors()`
`void` `testVirtualNodeSet()`

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, run, run, runBare, setName, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BasicNodeSetTest

    public BasicNodeSetTest()

Method Detail

### main

    public static void main(java.lang.String[] args)

### testSelectors

    public void testSelectors()

### testAxes

    public void testAxes()

### testOptimizations

    public void testOptimizations()

### testVirtualNodeSet

    public void testVirtualNodeSet()

Copyright (C) Wolfgang Meier. All rights reserved.